echo 'Setting up Runonce command'
# Runonce
mkdir -p /usr/local/runonce.d/ran
cat << 'RUNONCE_EOF' > /usr/local/bin/runonce
#!/bin/sh
#
# /etc/init.d/runonce
# chkconfig: 3 95 05
# description: runonce provisioning steps
#
# processname: runonce
# This makes sure that runlevel is set
sleep 60;
for file in /usr/local/runonce.d/*.sh; do 
    if [ ! -f "$file" ]; then
        continue
    fi
    /bin/bash "$file" &>> /var/log/runonce.log
    filen=$(echo $file | cut -d '/' -f 5)
    mv "$file" "/usr/local/runonce.d/ran/$filen.$(date +%Y%m%dT%H%M%S)"
    /bin/logger -t runonce -p local3.info "$file"
done
RUNONCE_EOF

chmod u+x /usr/local/bin/runonce
chown root:root /usr/local/runonce.d/ -R

echo "Install Cpanel"
cat << 'INST_CPANEL' > /usr/local/runonce.d/01-cpanel.sh
#!/bin/bash
yum install -y epel-release
yum install -y authconfig acpid apr-util dos2unix bc crontabs dstat elinks emacs epel-release glibc.i686 htop iftop iotop ipmitool iptraf jwhois lftp libcurl-devel man mtr net-snmp ngrep numactl OpenIPMI openssh-clients perl perl-Class-Accessor perl-Class-Data-Inheritable perl-Config-General perl-core perl-CPAN perl-Curses perl-Curses-UI perl-DateTime-Format-Strptime perl-devel perl-Digest-HMAC perl-Digest-MD5-File perl-File-Copy-Recursive perl-File-Find-Rule perl-File-HomeDir perl-File-Slurp perl-File-Tail perl-File-Touch perl-File-Which perl-IO-Socket-SSL perl-IPC-Run perl-IPC-Run3 perl-JSON perl-JSON-XS perl-libwww-perl perl-List-MoreUtils perl-Log-Log4perl perl-Math-Int64 perl-Module-Build perl-Proc-Daemon perl-Proc-PID-File perl-Proc-ProcessTable perl-REST-Client perl-Sort-Versions perl-TermReadKey perl-Text-CSV perl-XML-Simple perl-YAML-Syck perl-YAML-Tiny python-psutil screen smartmontools subversion sysstat tcpdump telnet vim-enhanced wget yum-cron yum-utils
mkdir -vp /root/cpanel_profile
echo 'mysql-version=5.6' > /root/cpanel_profile/cpanel.config
echo 'CPANEL=11.58' > /etc/cpupdate.conf
echo 'HTTPUPDATE=cpupdate.endurance.com' > /etc/cpsources.conf
/usr/bin/wget -O /root/cpanel-universal-install.sea http://layer2.cpanel.net/cpanel-universal-install.sea
chmod 755 /var/run/screen
chmod +x /root/cpanel-universal-install.sea
rm -fv /root/installer.lock
/root/cpanel-universal-install.sea --noexec --target /cpanel_installer
cd /cpanel_installer
/cpanel_installer/bootstrap --force
INST_CPANEL

echo "Cpanel Cleanup"
cat << 'CLEANUP_CPANEL' > /usr/local/runonce.d/02-cpanel-clean.sh
# No WHM Menu stuff
touch /etc/.whostmgrft
touch /var/cpanel/activate/features/disable_feature_showcase

# Disable CPHulkD
/usr/local/cpanel/etc/init/stopcphulkd
/usr/local/cpanel/bin/cphulk_pam_ctl --disable
rm -f /var/cpanel/hulkd/enabled
sed -i 's/^ETHDEV $/ETHDEV eth1/' /etc/wwwacct.conf
sed -i '1 i\MAILTO=""' /var/spool/cron/root
touch /etc/mysqlupdisable
touch /etc/ftpupdisable
rm -vf {/var/cpanel/globalcache/cpanel.cache,/usr/my.cnf}
yum -y install http://repo.websitewelcome.com/hg/6/x86_64/perl-cPanel-PublicAPI-1.002-1.noarch.rpm
curl -s http://kickstart.hostgator.com/hg-prov.repo > /etc/yum.repos.d/hg-prov.repo
yum install -y --enablerepo=hg-provisioning initial-scripts-ASO
CLEANUP_CPANEL

cat << 'PROV_REPO' > /etc/yum.repos.d/hg-prov.repo
[hg-provisioning]
baseurl=http://repo.websitewelcome.com/prov/$releasever/noarch
timeout=5
gpgcheck=0
enabled=0
name=HG Provisioning
PROV_REPO

chmod u+x /usr/local/runonce.d/ -R
